

<?php
include ("../conexion.php");


 $cdgbar     = $_POST["cdgbar"];
 $codfactura = $_POST["codfactura"];
 $numlinea   = $_POST["numlinea"];
 $canart     = $_POST["canart"];

if ($result = $mysqli->query("SELECT * FROM web_1001 WHERE cdgbar='$cdgbar'")) {
   $filas = $result->num_rows;
   $result->close();
}



if ($filas > 0) {

		
$consulta ="SELECT * FROM web_1001 WHERE cdgbar='$cdgbar'";
$contador=0;
if ($resultado = $mysqli->query($consulta)) 

    while ($fila2 = $resultado->fetch_assoc()) {


				$dscart  = $fila2["DSCART"];
				$cdglin  = $fila2["CDGLIN"];
				$cdgfam  = $fila2["CDGFAM"];
				$cosart  = $fila2["cosart"];
				$utiart1 = $fila2["utiart1"];
				$utiart2 = $fila2["utiart2"];  ///// aplica la misma utilidad 1 a utilidad 2  /////////
				$PRE001  = $fila2["PRE001"];
				$PRE002  = $fila2["PRE002"];
				$desfac  = $fila2["DESFAC"];
				$despro  = $fila2["DESART"];  
				$impart  = $fila2["impart"];
				$fleart  = $fila2["fleart"];
				$cob_iv  = $fila2["COB_IV"];
				$ivporc  = $fila2["ivporc"]/100+1;
	
		
		$flelin=$fleart*$canart;	
		$importe=$cosart*$canart;	
		$deslin=($importe*$desfac)/100;


		 $desart=($cosart*$despro)/100;
		 $cosart_des=$cosart-$desart;
		
		if ($cob_iv == 1) { 
		
		 $total_costo = ($cosart_des * $ivporc) ;
		 $impart =$total_costo -$cosart_des ;
		 
		} else { 
		
		$impart=0;	
		
		}
		$implin=$impart*$canart;
		$subtotal= $cosart + $impart - $desart;
		
		$utilidad1 = ($subtotal*$utiart1)/100;
		$utilidad2 = ($subtotal*$utiart2)/100;
	
		$PRE001 = $subtotal + $utilidad1 + $fleart;
	    $PRE001=round($PRE001);
		
		$PRE002 = $subtotal + $utilidad2 + $fleart;
		$PRE002=round($PRE002);
	 
	 
		$ultimo_valor_precio001=substr($PRE001,-1);
		$ultimo_valor_precio002=substr($PRE002,-1);	  // sustraigo el utimo digito del precio 

		
		//if ($ultimo_valor_precio001 == 0) {              // redondeo precio 1
//			$PRE001=intval($PRE001); 
//		
//		} else if ($ultimo_valor_precio001  ==  5){ 
//			$PRE001=intval($PRE001);
//		
//		} else if ($ultimo_valor_precio001  >  5){ 
//			$PRE001=round($PRE001,-1);
//		
//		}else { 
//	   	$PRE001=round($PRE001,-1);
//		$PRE001=$PRE001+5;
//		}                                  //////////////////////////////////////////////
//
//
//		if ($ultimo_valor_precio002 == 0) {              // redondeo precio 2
//			$PRE002=intval($PRE002);
//		
//		} else if ($ultimo_valor_precio002  ==  5){ 
//			$PRE002=intval($PRE002);
//					
//		} else if ($ultimo_valor_precio002  >  5){ 
//			$PRE002=round($PRE002,-1);
//		
//		}else { 
//	   	$PRE002=round($PRE002,-1);
//		$PRE002=$PRE002+5;
//		} 
		
	///////////////////////////////////////////////////////////////////////////
		
	

$sel_articulos_contado="UPDATE factulineatmp_compra SET codigo='$cdgbar', dscart='$dscart'  , cdgfam='$cdgfam' , cdglin='$cdglin' , cosart='$cosart' , utiart1='$utiart1', utiart2='$utiart2' , PRE001='$PRE001' , PRE002='$PRE002' , importe='$importe' , desfac='$desfac' , despro='$despro' , impart='$impart' , fleart='$fleart' , implin='$implin' , deslin='$deslin'  , flelin='$flelin' WHERE codfactura='$codfactura' and numlinea='$numlinea'";
	$mysqli->query($sel_articulos_contado);


	}						
 }	else {  				
 $dscart="CODIGO DE PRODUCTO NO REGISTRADO, FAVOR VERIFIQUE";

 }
 
 if ($cdgbar=="") $dscart="INGRESE EL CODIGO DEL ARTICULO";

?>


<html>
	<head>
		<title>Consulta de Articulos</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">	
        
        
 		 <script src="..//jquery-maskmoney/src/jquery.maskMoney.js" type="text/javascript"></script>
		<script>
		
		var cursor;
		if (document.all) {
		// Está utilizando EXPLORER
		cursor='hand';
		} else {
		// Está utilizando MOZILLA/NETSCAPE
		cursor='pointer';
		}
		
		
//nombre del primer campo en la secuencia
siguienteCampo = ""
//nombre del formlario
nombreForm = "formulario"

//funcion que gestiona el evento
function TelcaPulsada( e ) {

   if ( window.event != null)				//IE4+
      tecla = window.event.keyCode;
   else if ( e != null ) 				//N4+ o W3C compatibles
      tecla = e.which;
   else
      return;
	
   if (tecla == 13) { 					//se pulso enter
      if ( siguienteCampo == 'fin' ) {			//fin de la secuencia, hace el submit
      		aceptar();	//eliminar este alert para uso normal
         return false					//sustituir por return true para hacer el submit
      } else { 						//da el foco al siguiente campo
         eval('document.' + nombreForm + '.' + siguienteCampo + '.select()')
         return false
      }
   }
}

document.onkeydown = TelcaPulsada;			//asigna el evento pulsacion tecla a la funcion
if (document.captureEvents)				//netscape es especial: requiere activar la captura del evento
	document.captureEvents(Event.KEYDOWN)
	
 
	function cancelar() {
		location.href="index.php	";
		}



		</script>
	</head>
		<body onLoad="inicio()"> 	

			
		<div align="center">
				<blockquote>
				  <form id="formulario" name="formulario" method="post" action="cambiar_codigo.php" target="frame_rejilla">
				    <table class="fuente8" width="100%" cellspacing=0 cellpadding=3 border=0	>
				      <tr>
				        <td width="0">&nbsp;</td>
				        <td width="99%" colspan="5"  rowspan="2">   <input id="dscart"    style='text-align:center;'  value="<?php echo $dscart?>" readonly class="fuente_articulos" name="dscart" type="text" ></td>
				        <td width="1%">&nbsp;</td>
			          </tr>
				      <tr>
				        <td>&nbsp;</td>
				        <td>&nbsp;</td>
			          </tr>
				      
		              <input type="hidden" id="cdgbar" name="cdgbar" value="<?php echo $cdgbar?>">
			        </table>
			      </form>
		  </blockquote>
		</div>
		</body>
</html>